# h235auth.h File Reference

`#include <opal/buildopts.h>`
`#include <ptlib/pfactory.h>`

Include dependency graph for h235auth.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | H235Authenticator
class | H235AuthSimpleMD5
class | H235AuthCAT

## Functions

void | PreparePDU (H323TransactionPDU &pdu, PASN_Array &clearTokens, unsigned clearOptionalField, PASN_Array &cryptoTokens, unsigned cryptoOptionalField)
H235Authenticator::ValidationResult | ValidatePDU (const H323TransactionPDU &pdu, const PASN_Array &clearTokens, unsigned clearOptionalField, const PASN_Array &cryptoTokens, unsigned cryptoOptionalField, const PBYTEArray &rawPDU)
| PFACTORY_LOAD (H235AuthSimpleMD5)
| PFACTORY_LOAD (H235AuthCAT)

## Function Documentation

PFACTORY_LOAD | ( | H235AuthCAT |  | ) |

PFACTORY_LOAD | ( | H235AuthSimpleMD5 |  | ) |

void PreparePDU | ( | H323TransactionPDU & | pdu,
|  | PASN_Array & | clearTokens,
|  | unsigned | clearOptionalField,
|  | PASN_Array & | cryptoTokens,
|  | unsigned | cryptoOptionalField |
| ) |  |  |

H235Authenticator::ValidationResult ValidatePDU | ( | const H323TransactionPDU & | pdu,
|  | const PASN_Array & | clearTokens,
|  | unsigned | clearOptionalField,
|  | const PASN_Array & | cryptoTokens,
|  | unsigned | cryptoOptionalField,
|  | const PBYTEArray & | rawPDU |
| ) |  |  |